#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n,k,i;
    long long* a=(long long*)malloc(sizeof(long long)*(n+2));
    scanf("%ld",&n);
    scanf("%ld",&k);
    long f=0;
    for (i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
        if (a[i]!=1 && a[i]!=0) f=1;
    }
    //if (f==0)
    //{
        for (i=0;i<n;i++)
        {
            if (a[i]==1 && k>0) { --k; continue; }
            printf("%lld ",a[i]);
        }
        return 0;
   /* }
    else
    if (k==1)
    {
        long long mn=a[0];
        if (a[1]<mn) mn=a[1];
        printf("%lld ",mn);
        for (i=2;i<n;i++)
            printf("%lld ",a[i]);
        return 0;
    }
    return 0;
}